/*!
** Copyright 2020 NXP
** @file main.c
** @brief
**         Main module.
**         This module contains user's application code.
*/
/*!
**  @addtogroup main_module main module documentation
**  @{
*/
/* MODULE main */


/* Including necessary configuration files. */
//#include "sdk_project_config.h"
#include "cola_init.h"
#include "cola_os.h"

volatile int exit_code = 0;
/* User includes */

/*!
  \brief The main function for the project.
  \details The startup initialization sequence is the following:
 * - startup asm routine
 * - main()
*/

int main(void)
{
    do_init_call();
    for(;;)
    {
        if(exit_code != 0)
        {
            break;
        }
        cola_task_loop();
    }
    return exit_code;
}

/* END main */
/*!
** @}
*/
